﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
  /* Margin bottom by footer height */
  margin-bottom: 60px;
}
.footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  white-space: nowrap;
  line-height: 60px; /* Vertically center the text there */
}


/*NEW CSS LOGIN
 -----------------------------------------------
*/

.rombo {
    position: relative;
    width: 100%;
    height: 100%;
    background: #25B5E9;
    clip-path: polygon(100% 0%, 100% 100%, 60% 100%, 45% 0%);
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer-login {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
    display: inline-flex;
}

.section-sodisa-img-login {
    display: flex;
    height: 5vh;
    margin-top: 10px;
    justify-content: flex-end;
    margin-right: 5%;
}

.pb-3, .py-3 {
    padding-bottom: 0rem !important;
}

.container-login {
    width: 100%;
}

/*NEW LOGIN CSS*/
.main-content-login {
    /* min-width: 320px;
    max-width: 920px;*/
    height: 100vh;
    display: flex;
    align-items: center;
}

.section-logo-login {
    display: flex;
    align-items: center;
    position: absolute;
    margin-left: 5%;
}

.form-inside {
    /*background: aqua;*/
    margin-left: auto;
    /*border: 1px solid red;*/
    margin-right: 10vw;
    display: grid;
    justify-items: center;
}

.label-form-login {
    align-self: flex-start;
    color: white;
    font-family: 'Poppins', sans-serif;
    font-size: 13px;
}

.input-login-form {
    width: 270px;
    padding: 10px;
    border-radius: 2px;
    font-family: 'Poppins', sans-serif;
    font-size: 14px;
}

.form-button-section-login {
    margin: 0 auto;
    display: grid;
    margin-top: 25px;
    justify-content: center;
    align-content: flex-end;
    align-items: center;
}

.btnLogin {
    background-color: var(--principal-color);
    color: var(--white-color);
    width: 270px;
    height: 35px;
}

.btn-iniciar-sesion-login {
    margin-right: 5px;
    margin-bottom: 5px;
    justify-content: center;
    margin-left: 10px;
    border-radius: 7px;
}

.google-button-login {
    width: 270px;
    margin-left: 10px;
   
   
}

.titulo-bienvenido {
    color: white;
    margin-bottom: 30px;
    font-family: Poppins;
    font-weight: bold;
}

.customGPlusSignIn {
    display: inline-flex;
    background: white;
    color: #444;
    width: 100%;
    border-radius: 5px;
    /*border: thin solid #888;*/
    /*box-shadow: 1px 1px 1px grey;*/
    white-space: nowrap;
    justify-content: center;
    align-items: center;
}

    .customGPlusSignIn:hover {
        cursor: pointer;
    }

span.label {
    font-family: serif;
    font-weight: normal;
}

span.iconGoogle {
    background: url(../../img/PNG/g-normal.png)    transparent 5px 50% no-repeat;
    display: inline-block;
    vertical-align: middle;
    width: 35px;
    height: 35px;
}

span.iconMicrosoft {
    background: url(../../img/m-normal.jpg) 50% no-repeat;
    display: inline-block;
    vertical-align: middle;
    width: 20px;
    height: 20px;
    margin: 5px 10px 5px 0px;
}

span.buttonText {
    display: inline-block;
    vertical-align: middle;
    font-size: 13px;
    font-family: 'Poppins', sans-serif;
    color: #016387
}

.loading-section-login {
    position: relative;
    /* top: 390px; */
    display: flex;
    align-items: center;
}

.whiteText {
    color: white;
    font-family: 'Poppins', sans-serif;
    font-size: 14px;
}

.btnLoginForm {
    background-color: #016387;
    color: var(--white-color);
    width: 270px;
    height: 35px;
    font-family: 'Poppins', sans-serif;
    border: 0;
    font-size: 13px;
}

#logoSodisa {
    width: 45vw; 
    height: auto; 
}

.form__text-label-selector {
    font-size: 14px;
    font-weight: 500;
    color: #016387;
    font-family: 'Poppins', sans-serif;
    font-weight: bold;
}

.compania-label {
    font-size: 12px;
    font-weight: 500;
    color: black;
    font-family: 'Poppins', sans-serif;
}

.btnSelector {
    margin: 2px;
    padding-left: 10px;
    padding-right: 10px;
    text-align: center;
    background-color: #25B5E9;
    color: var(--white-color);
    border: 0;
    border-radius: 100%;
}

#arrowIcon {
    line-height: 200%;
}

tr:nth-child(even) {
    background-color: #f2f2f2; /* Color gris claro para las filas pares */
}

tr:nth-child(odd) {
    background-color: #ffffff; /* Color blanco para las filas impares */
}

@media only screen and (orientation: portrait) {
    .rombo {
        position: relative;
        width: 100%;
        height: 100%;
        background: #25B5E9;
        clip-path: polygon(100% 30%, 100% 100%, 0% 100%, 0% 45%);
        display: flex;
        justify-content: center;
        align-items: center;
    }


    .form-inside {
        /* background: aqua; */
        /* margin-left: auto; */
        /* border: 1px solid red; */
        /* margin-right: 12.7vw; */
        display: grid;
        justify-items: center;
        margin: 70% 50% 15% 50%;
    }

    .section-logo-login {
        display: grid;
        position: absolute;
        top: 1%;
        justify-content: center;
        width: 100%;
    }

    #logoSodisa {
        width: auto;
        height: 28vh;
    }
}